Package it.ernytech.tdlib

## Class TdApi.PaymentsProviderStripe

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PaymentsProviderStripe

Enclosing class:
  TdApi

    public static class TdApi.PaymentsProviderStripe
    extends TdApi.Object

Stripe payment provider.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `needCardholderName` True, if the cardholder name must be provided.
`boolean` `needCountry` True, if the user country must be provided.
`boolean` `needPostalCode` True, if the user ZIP/postal code must be provided.
`java.lang.String` `publishableKey` Stripe API publishable key.

### Constructor Summary

Constructors
`PaymentsProviderStripe()` Default constructor.
`PaymentsProviderStripe​(java.lang.String publishableKey, boolean needCountry, boolean needPostalCode, boolean needCardholderName)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### publishableKey

    public java.lang.String publishableKey

Stripe API publishable key.

#### needCountry

    public boolean needCountry

True, if the user country must be provided.

#### needPostalCode

    public boolean needPostalCode

True, if the user ZIP/postal code must be provided.

#### needCardholderName

    public boolean needCardholderName

True, if the cardholder name must be provided.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PaymentsProviderStripe

    public PaymentsProviderStripe()

Default constructor.

#### PaymentsProviderStripe

    public PaymentsProviderStripe​(java.lang.String publishableKey,
                                  boolean needCountry,
                                  boolean needPostalCode,
                                  boolean needCardholderName)

Constructor for initialization of all fields.

Parameters:
  `publishableKey` - Stripe API publishable key.
  `needCountry` - True, if the user country must be provided.
  `needPostalCode` - True, if the user ZIP/postal code must be provided.
  `needCardholderName` - True, if the cardholder name must be provided.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR